DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ChainCodeGetConnectivity

Chain code access function

## SYNOPSIS

`#include "dip_chaincode.h"`

dip_Error dip_ChainCodeGetConnectivity ( chaincode, connectivity )

## FUNCTION

Returns the connectivity used when extracting the boundary described in `chaincode`. `connectivity==1` indicates 4-connected neighbours, and the code uses integers 0 through 3. `connectivity==2` indicates 8-connected neighbours, and the code uses values 0 through 7. See The connectivity parameter.

## ARGUMENTS

Data type | Name | Description
`dip_ChainCode` | `chaincode` | Chain code
`dip_int *` | `connectivity` | Receives the connectivity value in `chaincode`

## SEE ALSO

`ImageChainCode`, `ChainCodeNew`, `ChainCodeFree`, `ChainCodeGetSize`, `ChainCodeGetChains`, `ChainCodeGetStart`, `ChainCodeGetLabel`